
From: Paul Mackerras <paulus@samba.org>

Recent From: Paul Mackerras <paulus@samba.org>
ppc64 toolchains don't create dot symbols (i.e. a globally
visible ".foo" symbol for the text of function foo) any more.  This
breaks the kernel compile because we refer to function text addresses
in the system call table.  Fortunately there is an option,
-mcall-aixdesc, which restores the previous behaviour, and even more
fortunately, old ppc64 toolchains understand the option as well as new
ones.  This patch adds -mcall-aixdesc to CFLAGS in
arch/ppc64/Makefile.

Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/Makefile |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN arch/ppc64/Makefile~ppc64-fix-compilation-with-recent-toolchains arch/ppc64/Makefile
--- 25/arch/ppc64/Makefile~ppc64-fix-compilation-with-recent-toolchains	Fri Nov 19 14:28:48 2004
+++ 25-akpm/arch/ppc64/Makefile	Fri Nov 19 14:28:48 2004
@@ -32,7 +32,8 @@ CHECKFLAGS	+= -m64 -D__powerpc__
 
 LDFLAGS		:= -m elf64ppc
 LDFLAGS_vmlinux	:= -Bstatic -e $(KERNELLOAD) -Ttext $(KERNELLOAD)
-CFLAGS		+= -msoft-float -pipe -mminimal-toc -mtraceback=none
+CFLAGS		+= -msoft-float -pipe -mminimal-toc -mtraceback=none \
+		   -mcall-aixdesc
 
 ifeq ($(CONFIG_POWER4_ONLY),y)
 	CFLAGS += $(call cc-option,-mcpu=power4)
_
